---
title: BluetoothRemoteGATTServer.getPrimaryServices()
slug: Web/API/BluetoothRemoteGATTServer/getPrimaryServices
tags:
  - API
  - Bluetooth
  - BluetoothRemoteGATTServer
  - Experimental
  - Method
  - Reference
  - Web Bluetooth API
  - getPrimaryServices()
---
<p>{{SeeCompatTable}}</p>

<p>The <strong>BluetoothRemoteGATTServer.getPrimaryServices()</strong> method returns a promise to a list of primary {{domxref("BluetoothGATTService")}} objects offered by the bluetooth device for a specified <code>BluetoothServiceUUID</code>.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>BluetoothRemoteGATTServer</em>.getPrimaryServices(<em>bluetoothServiceUUID</em>).then(function(<em>bluetoothGATTServices</em>) { ... })</pre>

<h3 id="Returns">Returns</h3>

<p>A {{jsxref("Promise")}} that resolves to a list of {{domxref("BluetoothGATTService")}} objects.</p>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt><code>BluetoothServiceUUID</code></dt>
 <dd>A Bluetooth service universally unique identifier for a specified device.</dd>
</dl>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName("Web Bluetooth", "#dom-bluetoothremotegattserver-getprimaryservices", "getPrimaryServices()")}}</td>
   <td>{{Spec2("Web Bluetooth")}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.BluetoothRemoteGATTServer.getPrimaryServices")}}</p>

<div>{{APIRef("Web Bluetooth")}}</div>
